OPT-CASE(1)

NAME
opt-case.pl - Optimize case insensitive regexp filters for tin

SYNOPSIS
opt-case.pl < input [> output]

DESCRIPTION
opt-case.pl reads a tin(1) filter-file (tin(5)) with regexp filters on STDIN and turns all case insensitive regexp into case sensitive ones whenever possible, as case sensitive regexp are (a bit) faster.

NOTES
The case= line must come before any line with a regexp pattern, (that is the order tin(1) saves the filter file, if you created the filter by hand and never let tin(1) rewrite the file, you might want to check that first).

Don't use opt-case.pl on wildmat filters, transform them into regexp filter via w2r.pl(1) first.

AUTHOR
Urs Janssen <urs@tin.org>

SEE ALSO
tin(1), tin(5), w2r.pl(1)